﻿package pers.SimpleAlarmClock;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.PowerManager;
import android.util.Log;

//Класс служит для получения времени, когда пора звонить   

public class AlarmReceiver extends BroadcastReceiver {
 private final static String tag = "AlarmReceiver";
 @Override
 public void onReceive(Context context, Intent intent) {
  Log.d(tag, "Alarm off");  
  PowerManager pm = (PowerManager) context.getSystemService(Context.POWER_SERVICE);
  PowerManager.WakeLock wl = pm.newWakeLock(PowerManager.SCREEN_BRIGHT_WAKE_LOCK | PowerManager.ACQUIRE_CAUSES_WAKEUP | PowerManager.ON_AFTER_RELEASE, tag);
  wl.acquire(3000); //Активити должен стартовать через 3 сек.
  Intent i = new Intent(context, AlarmActivity.class);
  i.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);
  i.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
  context.startActivity(i);
 }
}